Name:		nagios-plugin-mongodb
Version:	15.3.24
Release:	3%{?dist}
Summary:	Nagios plugin for MongoDB

Group:		Application/System
License:	BSD
URL:		https://github.com/mzupan/nagios-plugin-mongodb
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch
# BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	nagios
Requires:	nagios-plugins

%description
This package is a versioned "snapshot" of nagios-plugin-mongodb meant for use
within Rutgers University. NOTE: The version number refers to the date when the
last "snapshot" was downloaded from git. i.e. version 15.3.24 refers to the 
"snapshot" downloaded on Mar 24th 2015 (4/25/2014)

%prep
%setup -q -n %{name}
cd ../


%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/nagios/plugins/
%{__install} -pm 0755 check_mongodb.py $RPM_BUILD_ROOT/%{_libdir}/nagios/plugins/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/nagios/plugins/*


%changelog
* Tue Sep 01 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> 15.3.24-3.ru6
- Modified to work with python3

* Tue Apr 07 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> 15.3.24-2.ru6
- Fixed install location to $RPM_BUILD_ROOT/%{_libdir}/nagios/plugins
- Removed example configuration files

* Tue Mar 24 2015 Jungsoo Park <jp1326@nbcs.rutgers.edu> 15.3.24-1.ru6
- Initial build.
